package com.ym.mec.biz.dal.page;

import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

import com.ym.mec.biz.dal.enums.DealStatusEnum;
import com.ym.mec.biz.dal.enums.TransTypeEnum;
import com.ym.mec.common.page.QueryInfo;

public class StudentRechargeQueryInfo extends QueryInfo {

	private DealStatusEnum status;
	
	private TransTypeEnum transType;
	
	private Date startDate;
	
	private Date endDate;
	
	@ApiModelProperty(value = "分部", required = false)
	private String organId;

	public DealStatusEnum getStatus() {
		return status;
	}

	public void setStatus(DealStatusEnum status) {
		this.status = status;
	}

	public TransTypeEnum getTransType() {
		return transType;
	}

	public void setTransType(TransTypeEnum transType) {
		this.transType = transType;
	}

	public Date getStartDate() {
		return startDate;
	}

	public void setStartDate(Date startDate) {
		this.startDate = startDate;
	}

	public Date getEndDate() {
		return endDate;
	}

	public void setEndDate(Date endDate) {
		this.endDate = endDate;
	}

	public String getOrganId() {
		return organId;
	}

	public void setOrganId(String organId) {
		this.organId = organId;
	}

}
